Kick off a bulk export request for the provided list of patients

post

/Patient/$export

Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.

The operation is defined at:

GET https://<Service Root URL>/r4/OperationDefinition/patient-export?_format=json

Note:

  • With the current implementation, the patient parameter must be provided at least once.
  • Bulk data export requests do not currently recognize the Accept-Language header; en-US is used instead.
  • The authorization token must contain system read scopes for all resources requested in the _type parameter.
  • The experimental _elements and _typeFilter parameters are not supported.

Provenance Behavior

  • Provenances for the Location, Organization, and Practitioner resources cannot be exported.
  • When the _type parameter is not provided and the authorization token includes the Provenance read scope, all relevant Provenance resources associated with each of the non-Provenance resources are exported by default. You may use the includeAssociatedData parameter to export only the latest provenance.
  • When the _type parameter is provided with specific resources and includes Provenance, all relevant Provenance resources associated with each of the non-Provenance resources are exported by default.
  • When both the includeAssociatedData parameter and the _type parameter are provided, the _type parameter must include Provenance.

Optional Header

When the Prefer: handling=lenient header is provided, any unknown or unsupported parameters are ignored as specified in the Bulk Data Export parameters.

Request

Header Parameters
  • The media type to be requested. Refer to what the resource's operation produces for what is supported.

    Example: application/fhir+json

  • Contains the credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
  • Specifies the content type of the request entity body. Accepted values are application/fhir+json, application/json+fhir, and application/json.
  • Specifies whether the response is immediate or asynchronous. respond-async is supported. A client must provide this header.
Supported Media Types
Request Body - application/fhir+json ()
Root Schema : schema
Type: object
A summary representation of the patient export (POST) operation.
Show Source
  • parameter

    Parameters supported by the operation.

    • The patient parameter is required and must be provided at least once.
    • The _type, includeAssociatedData, _since, and _outputFormat parameters are optional and may be provided in the request body.

    Details of the supported parameters:

    • patient:
      • A maximum of 20,000 values may be provided for patient.
      • When the parameter name is patient, the parameter value must be in the form of valueReference.
    • _type:
      • A string of comma-delimited FHIR resource types.
      • When the parameter name is _type, the parameter value must be in the form of valueString.
      • The following values are valid:
        • AllergyIntolerance
        • CarePlan
        • CareTeam
        • Condition
        • Coverage
        • Device
        • DiagnosticReport
        • DocumentReference
        • Encounter
        • Goal
        • Immunization
        • Location
        • MedicationDispense
        • MedicationRequest
        • Patient
        • Procedure
        • Observation
        • Organization
        • Practitioner
        • Provenance
        • RelatedPerson
        • ServiceRequest
        • Specimen
      • When the _type parameter contains a reference resource (Location, Organization, Practitioner, RelatedPerson, or Specimen) or an associated resource (Provenance), at least one of the following resources must also be provided:
        • AllergyIntolerance
        • CarePlan
        • CareTeam
        • Condition
        • Coverage
        • Device
        • DiagnosticReport
        • DocumentReference
        • Encounter
        • Goal
        • Immunization
        • MedicationDispense
        • MedicationRequest
        • Observation
        • Patient
        • Procedure
        • ServiceRequest
      • When the _type parameter is not provided, the resources to be exported are determined by the scopes provided in the authorization token.
      • Example: Condition, Provenance
    • includeAssociatedData:
      • When the parameter name is includeAssociatedData, the parameter value must be in the form of valueCode.
      • When provided, the patient export returns or omits a predefined set of FHIR resources associated with the request.
      • A string of comma-delimited values. Valid values are LatestProvenanceResources and RelevantProvenanceResources.
    • _since:
      • Resources updated after this time are included in the response.
      • When the parameter name is _since, the parameter value must be in the form of valueInstant.
      • Example: 2021-03-18T19:19:42.000Z
    • _outputFormat:
      • The format for the requested bulk data files to be generated.
      • When the parameter name is _outputFormat, the parameter value must be in the form of valueString.
      • Valid values are application/fhir+ndjson, application/ndjson, and ndjson.
      • Defaults to application/fhir+ndjson when not provided.

    {
      "parameter": [
        {
          "name": "patient",
          "valueReference": { "reference": "Patient/12783127" }
        },
        {
          "name": "patient",
          "valueReference": { "reference": "Patient/12783128" }
        },
        {
          "name": "patient",
          "valueReference": { "reference": "Patient/12783129" }
        },
        {
          "name": "_type",
          "valueString": "Condition,Provenance"
        },
        {
          "name": "includeAssociatedData",
          "valueCode": "RelevantProvenanceResources"
        },
        {
          "name": "_since",
          "valueInstant": "2021-03-18T19:19:42.000Z"
        },
        {
          "name": "_outputFormat",
          "valueString": "application/fhir+ndjson"
        }
      ]
    }
    
  • Allowed Values: [ "Parameters" ]

    The type of the FHIR resource.

    {
      "resourceType": "Parameters",
    }
    
Nested Schema : parameter
Type: array

Parameters supported by the operation.

  • The patient parameter is required and must be provided at least once.
  • The _type, includeAssociatedData, _since, and _outputFormat parameters are optional and may be provided in the request body.

Details of the supported parameters:

  • patient:
    • A maximum of 20,000 values may be provided for patient.
    • When the parameter name is patient, the parameter value must be in the form of valueReference.
  • _type:
    • A string of comma-delimited FHIR resource types.
    • When the parameter name is _type, the parameter value must be in the form of valueString.
    • The following values are valid:
      • AllergyIntolerance
      • CarePlan
      • CareTeam
      • Condition
      • Coverage
      • Device
      • DiagnosticReport
      • DocumentReference
      • Encounter
      • Goal
      • Immunization
      • Location
      • MedicationDispense
      • MedicationRequest
      • Patient
      • Procedure
      • Observation
      • Organization
      • Practitioner
      • Provenance
      • RelatedPerson
      • ServiceRequest
      • Specimen
    • When the _type parameter contains a reference resource (Location, Organization, Practitioner, RelatedPerson, or Specimen) or an associated resource (Provenance), at least one of the following resources must also be provided:
      • AllergyIntolerance
      • CarePlan
      • CareTeam
      • Condition
      • Coverage
      • Device
      • DiagnosticReport
      • DocumentReference
      • Encounter
      • Goal
      • Immunization
      • MedicationDispense
      • MedicationRequest
      • Observation
      • Patient
      • Procedure
      • ServiceRequest
    • When the _type parameter is not provided, the resources to be exported are determined by the scopes provided in the authorization token.
    • Example: Condition, Provenance
  • includeAssociatedData:
    • When the parameter name is includeAssociatedData, the parameter value must be in the form of valueCode.
    • When provided, the patient export returns or omits a predefined set of FHIR resources associated with the request.
    • A string of comma-delimited values. Valid values are LatestProvenanceResources and RelevantProvenanceResources.
  • _since:
    • Resources updated after this time are included in the response.
    • When the parameter name is _since, the parameter value must be in the form of valueInstant.
    • Example: 2021-03-18T19:19:42.000Z
  • _outputFormat:
    • The format for the requested bulk data files to be generated.
    • When the parameter name is _outputFormat, the parameter value must be in the form of valueString.
    • Valid values are application/fhir+ndjson, application/ndjson, and ndjson.
    • Defaults to application/fhir+ndjson when not provided.

{
  "parameter": [
    {
      "name": "patient",
      "valueReference": { "reference": "Patient/12783127" }
    },
    {
      "name": "patient",
      "valueReference": { "reference": "Patient/12783128" }
    },
    {
      "name": "patient",
      "valueReference": { "reference": "Patient/12783129" }
    },
    {
      "name": "_type",
      "valueString": "Condition,Provenance"
    },
    {
      "name": "includeAssociatedData",
      "valueCode": "RelevantProvenanceResources"
    },
    {
      "name": "_since",
      "valueInstant": "2021-03-18T19:19:42.000Z"
    },
    {
      "name": "_outputFormat",
      "valueString": "application/fhir+ndjson"
    }
  ]
}
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top

Response

Default Response

Example Request:
POST https://<Service Root URL>/r4/ec2458f2-1e24-41c8-b71b-0e701af7583d/Patient/$export
Example Request Body:
{
  "resourceType": "Parameters",
  "parameter": [
    {
      "name": "patient",
      "valueReference": { "reference": "Patient/12783127" }
    },
    {
      "name": "patient",
      "valueReference": { "reference": "Patient/12783128" }
    },
    {
      "name": "patient",
      "valueReference": { "reference": "Patient/12783129" }
    },
    {
      "name": "_type",
      "valueString": "Condition,Provenance"
    },
    {
      "name": "includeAssociatedData",
      "valueCode": "RelevantProvenanceResources"
    },
    {
      "name": "_since",
      "valueInstant": "2021-03-18T19:19:42.000Z"
    },
    {
      "name": "_outputFormat",
      "valueString": "application/fhir+ndjson"
    }
  ]
}
Example Response:
Status: 202 Accepted
Content-Location: https://<Service Root URL>/r4/ec2458f2-1e24-41c8-b71b-0e701af7583d/bulk-export/jobs/<Job_ID>
Headers
  • Indicates the url to access the status of the export request.
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, provide the opc-request-id, if present.
Back to Top